package com.cim.idm.mwmsextend.materialshiprequestToOEM.service;

import com.cim.idm.framework.IDMFrameServiceProxy;

public class MaterialShipRequestToOEMServiceUtil {
	public String getShiprequestNameByUndoID(String UndoID)throws Exception
	{
		try{
	
			String sql = "SELECT DISTINCT SHIPREQUESTNAME FROM BS_MATERIALPACKINGUNDOINFO WHERE UNDOID=? ";
		
			Object[] args = {UndoID};

	    	//String result = String.valueOf(IDMFrameServiceProxy.getSqlTemplate().queryByCursor(sql, args));
			//List result = IDMFrameServiceProxy.getSqlTemplate().getJdbcTemplate().queryForList(sql, bindSet);
              String result = IDMFrameServiceProxy.getSqlTemplate().queryForObject(sql, String.class, args);
			return result;
		}
		catch(Exception e){e.printStackTrace();
		throw e;}
	}
}
